use std::error::Error;

use clap::Parser;

use tcp_relay_client::client_config::ClientConfig;

#[tokio::main]
async fn main() -> Result<(), Box<dyn Error>> {
    env_logger::init_from_env(env_logger::Env::new().default_filter_or("info"));
    tcp_relay_client::run_app(ClientConfig::parse()).await
}
