use clap::Parser;

use tcp_relay_server::server_config::ServerConfig;

#[actix_web::main]
async fn main() -> std::io::Result<()> {
    env_logger::init_from_env(env_logger::Env::new().default_filter_or("info"));

    tcp_relay_server::run_app(ServerConfig::parse()).await
}
